[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: openldap 1.x to 2.x upgrade?

I had the same problem. I had to create my own schema with my objectclass
and attributes and declare it in the slapd.conf. (line include

I didn't find any documentation about it.


----- Original Message -----
From: "David J. Ferrero" <david.ferrero@zion.com>
To: <openldap-software@OpenLDAP.org>
Sent: Thursday, October 04, 2001 10:11 PM
Subject: openldap 1.x to 2.x upgrade?

> I have been happily using OpenLdap 1.x for over a year. Recently I
> upgraded RedHat to 7.1 and with this upgrade, OpenLdap was upgraded to
> 2.X. My schema's no longer work as they did not use OIDs. OpenLdap 2.x
> seems to require OIDs and I did apply and receive an OID for my company
> but I'm unclear how to 'upgrade'. Is there a helpful script that might
> prompt me for the new company OID and convert the old schema's to OID
> based ones? I have not found any web documentation that details how this
> migration should be done.
> Thanks for any help.
> Regards,
> David